/****************************************************************************
    
    This file is part of The Newtonator soft synth.

    Copyright (C) 2010-2011 Michael Bechard <mbechard@users.sourceforge.net>

    The Newtonator is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Newtonator is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with The Newtonator.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef NEWTFRAME_H
#define NEWTFRAME_H

#include <gtkmm/frame.h>


class NewtFrame : public Gtk::Frame
{
    public:

    NewtFrame();
    virtual ~NewtFrame();

    protected:

    typedef Cairo::RefPtr<Cairo::Context> CtxPtr;

    virtual bool on_expose_event(GdkEventExpose* event);
    virtual void on_size_allocate(Gtk::Allocation& allocation);

    private:

    void DrawBorder(CtxPtr context);
    void DrawBackground(CtxPtr context);

    double m_width;
    double m_height;
};

#endif // NEWTFRAME_H
